# $Revision: 1.23 $, $Date: 2009/10/07 21:12:58 $
Summary:	xclock application - analog/digital clock for X
Summary(pl.UTF-8):	Aplikacja xclock - analogowy lub cyfrowy zegar dla X
Name:		xorg-app-xclock
Version:	1.0.4
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xclock-%{version}.tar.bz2
# Source0-md5:	bb9fd5e00d39c348a0078b97fdf8258f
Source1:	xclock.desktop
Source2:	xclock.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclock is the classic X Window System clock utility. It displays the
time in analog or digital form. The time is continuously updated at a
frequency which may be specified by the user.

%description -l pl.UTF-8
xclock to klasyczny zegar dla systemu X Window. Wyświetla czas w
postaci analogowej lub cyfrowej. Czas jest stale uaktualniany z
częstotliwością określoną przez użytkownika.

%prep
%setup -q -n xclock-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xclock.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xclock.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xclock
%{_datadir}/X11/app-defaults/XClock*
%{_desktopdir}/xclock.desktop
%{_pixmapsdir}/xclock.png
%{_mandir}/man1/xclock.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xclock.spec,v $
Revision 1.23  2009/10/07 21:12:58  qboosh
- updated util-macros version
- added README to doc

Revision 1.22  2009/09/22 07:59:00  arekm
- up to 1.0.4

Revision 1.21  2009/09/22 06:46:42  arekm
- up to 1.0.4

Revision 1.20  2008/11/12 21:01:16  arekm
- release 4

Revision 1.19  2008/11/11 16:44:32  arekm
- rel 3; fix xaw related build

Revision 1.18  2008/11/07 20:51:08  arekm
- release 2

Revision 1.17  2007/08/07 19:45:54  qboosh
- real descs from man

Revision 1.16  2007/08/07 06:00:15  arekm
- up to 1.0.3

Revision 1.15  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2006/10/15 15:44:13  qboosh
- more verbose files, release 1

Revision 1.12  2006/04/27 06:24:38  arekm
- up to 1.0.2

Revision 1.11  2006/02/07 13:45:02  qboosh
- merged xclock.{desktop,png} from monolith

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 13:56:09  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 14:22:53  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 23:06:57  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 19:36:45  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xclock-man.patch
- added BR: libXaw-devel, libxkbfile-devel
- removed redundant BR: libXrender-devel
- release 0.02

* Sun Aug  7 2005 20:50:48  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
